umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
SomeType Class Reference

`#include <cxx11-object-construction-improvement.h>`

## Public Member Functions
| SomeType (int new_number)
| SomeType ()

## Private Attributes
int | number

## Constructor & Destructor Documentation

## ◆ SomeType() [1/2]

SomeType::SomeType | ( | int | new_number | ) |
| inline

## ◆ SomeType() [2/2]

SomeType::SomeType | ( |  | ) |
| inline

## Member Data Documentation

## ◆ number

int SomeType::number
| private

The documentation for this class was generated from the following file:

- test/import/cxx/cxx11-object-construction-improvement.h